Subject: Re: bug#20662: 25.0.50; Remote copy through Dired fails

From: Manuel Uberti <[email-masked]>
Date: Sat, 30 May 2015 12:25:41 +0200

On 30/05/15 12:00, Michael Albinus wrote:
> Manuel Uberti <[email-masked]> writes:
> 
> Hi Manuel,
> 
>>> What does "M-x locate-library RET tramp-sh RET" return?
>> /usr/local/share/emacs/site-lisp/tramp-sh.elc
> 
> You might check the timestamp, whether it is a recent file.
> 
>>> Could you, please, try the following on the file in the Emacs repo
>>> (replace "~/src/emacs" with your local path):
>>
>> git status lisp/net/tramp-sh.el
>> On branch master
>> Your branch is up-to-date with 'origin/master'.
>> nothing to commit, working directory clean
>>
>> git log lisp/net/tramp-sh.el
>> commit 0a539105a88820548b2038251eb174026341150e
>> Author: Michael Albinus <[email-masked]>
>> Date:   Fri May 29 19:45:59 2015 +0200
>>
>>     Improve Tramp traces.
>>
>>     * lisp/net/tramp.el (tramp-call-process-region): New defun.
>>
>>     * lisp/net/tramp-sh.el (tramp-get-inline-coding): Use it.
> 
> Looks good.
> 
>>> Please call directly the built emacs then:
>>>
>>> ./src/emacs
>>
>> Done, and did the test again. Find attached the debug trace.
> 
> Hmm, still my recent change not visible. However, did you call Emacs as
> suggested by me? "./src/emacs" directly from the Emacs repository? The
> file location above tells something different:
> /usr/local/share/emacs/site-lisp/tramp-sh.elc
> 
> Anyway, I have improved the traces again, and committed to the
> repo. Could you please pull them, recompile Emacs, and call it as
> suggested? This time you need (setq tramp-verbose 10)
> 
>> Kind regards,
>>
>> Manuel Uberti
> 
> Best regards, Michael.
> 

> Hmm, still my recent change not visible. However, did you call Emacs as
> suggested by me? "./src/emacs" directly from the Emacs repository? The
> file location above tells something different

Yes, but I did "M-x locate-library RET tramp-sh RET" from an already
runnng version of Emacs which I didn't started from that directory.

I rebuilt Emacs, set tramp-verbose to 10 and did the test again. Find
attached the debug trace.

Thanks,

Manuel Uberti
<[email-masked]>